## org.w3c.util
Class IO

    java.lang.Object
      |
      +--org.w3c.util.IO

public class IO
extends java.lang.Object

Constructor Summary
`IO()`

Method Summary
`static boolean` `clean(java.io.File file)` Clean recursivly
`static void` `copy(java.io.File source, java.io.File dest)` Copy source into dest.
`static void` `copy(java.io.InputStream in, java.io.OutputStream out)` Copy source into dest.
`static boolean` `delete(java.io.File file)` Delete recursivly

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IO

    public IO()

Method Detail

### copy

    public static void copy(java.io.File source,
                            java.io.File dest)
                     throws java.io.IOException

  Copy source into dest.

### copy

    public static void copy(java.io.InputStream in,
                            java.io.OutputStream out)
                     throws java.io.IOException

  Copy source into dest.

### delete

    public static boolean delete(java.io.File file)

  Delete recursivly
  Parameters:
    `file` - the file (or directory) to delete.

### clean

    public static boolean clean(java.io.File file)

  Clean recursivly
  Parameters:
    `file` - the directory to clean